Bug 214490 - -msse only makse sence on i386 and x86_64
-msse only makse sence on i386 and x86_64
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 15:44 EST by Dennis Gilmore
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 08:25:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2006-11-07 15:44:08 EST
Description of problem:
-msse flag results in failed compilation ofn non intel based arches

a better soultion to the current %ifarch  is a %ifnarch

%ifnarch %{ix86} x86_64
# this flag is not available on ppc
perl -pi -e 's|-msse||' lib-src/soundtouch/source/SoundTouch/Makefile.*
%endif

that will help all people who build extras for other arches
Comment 1 Gérard Milmeister 2006-11-07 16:42:43 EST
Ok, I will check in the change.

Note You need to log in before you can comment on or make changes to this bug.